Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.pstricks
Class PstricksParser

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.AlternateExpression
              jpicedt.format.input.util.RootExpression
                  jpicedt.format.input.pstricks.PstricksParser

All Implemented Interfaces:
  ExpressionConstants

public class PstricksParser
extends RootExpression
implements ExpressionConstants

Root expression for the Pstricks parser, containing grammar rules for the pstricks format. Pstricks support is pretty ok, though add-ons (like pst-nodes.sty) are still missing.

This class consists of grammar rules, wrapped in a RootExpression which can itself be directly added to the main tree (for instance, using DefaultParser.addGrammar()).

Note : the current parser used across the JPicEdt application can be retrieved using jpicedt.JPicEdt.getParser().

[TODO] : \psgrid, \psaxes, \pscustom, arrow size, dot style.

Version:
  $Id: PstricksParser.java,v 1.7.2.1 2007/09/02 11:56:12 reynal Exp $
Author:
  Sylvain Reynal

Field Summary
`static Pool.Key` | `KEY_ATTRIBUTES` key associated with the attribute set which stores PsTricks default graphical parameters (PicAttributeSet)
`static Pool.Key` | `KEY_NEWPSOBJECTS` \\newpsobject : key associated with the HashMap that associates pairs "macroName -> param_string", e.g.
`static Pool.Key` | `KEY_R_UNIT` key associated with \\psrunit register (double)
`static Pool.Key` | `KEY_USER_COLOURS` user-defined colours (a HashMap which gets filled by UserDefinedColorsExpression, see \\newgray, \\newrgbcolor,...
`static Pool.Key` | `KEY_X_UNIT` key associated with \\psxunit register (double)
`static Pool.Key` | `KEY_Y_UNIT` key associated with \\psyunit register (double)

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`PstricksParser(Pool pool)` Creates a new PstricksParser, and build grammar rules

Method Summary
`void` | `reinit()` reinit shared parameters belonging to the Pool

Methods inherited from class jpicedt.format.input.util.AlternateExpression
`add, getExpressionList, interpret, toString`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_X_UNIT

    public static final Pool.Key KEY_X_UNIT

  key associated with \\psxunit register (double)

### KEY_Y_UNIT

    public static final Pool.Key KEY_Y_UNIT

  key associated with \\psyunit register (double)

### KEY_R_UNIT

    public static final Pool.Key KEY_R_UNIT

  key associated with \\psrunit register (double)

### KEY_ATTRIBUTES

    public static final Pool.Key KEY_ATTRIBUTES

  key associated with the attribute set which stores PsTricks default graphical parameters (PicAttributeSet)

### KEY_USER_COLOURS

    public static final Pool.Key KEY_USER_COLOURS

  user-defined colours (a HashMap which gets filled by UserDefinedColorsExpression, see \\newgray, \\newrgbcolor,... in PsTricks documentation p.5)

### KEY_NEWPSOBJECTS

    public static final Pool.Key KEY_NEWPSOBJECTS

  \\newpsobject : key associated with the HashMap that associates pairs "macroName -> param_string", e.g. "\\myline" -> "linecolor=green,filltype=solid" (HashMap)

Constructor Detail

### PstricksParser

    public PstricksParser(Pool pool)

  Creates a new PstricksParser, and build grammar rules

Method Detail

### reinit

    public void reinit()

  reinit shared parameters belonging to the Pool

  Overrides:
    `reinit` in class `RootExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org